/*
        ========== licence begin  GPL
        Copyright (C) 2006 SAP AG

        This program is free software; you can redistribute it and/or
        modify it under the terms of the GNU General Public License
        as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
        ========== licence end
 */
#ifndef FBM_MESSAGES_HPP
#define FBM_MESSAGES_HPP

// Generated Header file FBM_Messages.hpp.
// Generated by genmsg V2.2 DO NOT EDIT

#include "SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp"

#define FBM_INFO_VOLUME_GROUPS                SAPDBErr_MessageList::Info,20000,"Archive instance uses %s sequential volumes in %s volume group(s)",2
#define FBM_INFO_VOLUME_GROUPS_ID 20000
#define FBM_INFO_UNBALANCED_VOLUME_GROUPS     SAPDBErr_MessageList::Info,20001,"Unbalanced volume groups!",0
#define FBM_INFO_UNBALANCED_VOLUME_GROUPS_ID 20001
#define FBM_INFO_VOLUME_GROUP_START           SAPDBErr_MessageList::Info,20002,".. starting volume group: %s at sequential volume: %s",2
#define FBM_INFO_VOLUME_GROUP_START_ID 20002
#define FBM_INFO_USED_BLOCK                   SAPDBErr_MessageList::Info,20003,"BlockNo: %s is still in use, state: %s",2
#define FBM_INFO_USED_BLOCK_ID 20003
#define FBM_NO_MORE_FREE_BLOCKS               SAPDBErr_MessageList::Warning,20004,"No more free blocks on data volumes available",0
#define FBM_NO_MORE_FREE_BLOCKS_ID 20004
#define FBM_ILLEGAL_TRANSITION                SAPDBErr_MessageList::Error,20005,"Illegal conversion of block %s/%s from state [%s,%s] to [%s,%s]",6
#define FBM_ILLEGAL_TRANSITION_ID 20005
#define FBM_ILLEGAL_RESTORE_AFTER_COMPRESSION SAPDBErr_MessageList::Error,20006,"Illegal restore of block %s/%s after compression. Current state is [%s,%s]",4
#define FBM_ILLEGAL_RESTORE_AFTER_COMPRESSION_ID 20006
#define FBM_ILLEGAL_RESTORE_AFTER_BACKUP      SAPDBErr_MessageList::Error,20007,"Illegal restore of block %s/%s after backup. Current state is [%s,%s]",4
#define FBM_ILLEGAL_RESTORE_AFTER_BACKUP_ID 20007
#define FBM_ILLEGAL_TRANS_TO_FREE_AFTER_SVP   SAPDBErr_MessageList::Error,20008,"Illegal conversion of block %s/%s from state [%s,%s] to free after savepoint",4
#define FBM_ILLEGAL_TRANS_TO_FREE_AFTER_SVP_ID 20008
#define FBM_NO_MORE_MEMORY_FOR_NEW_DEVICE     SAPDBErr_MessageList::Error,20009,"Register data volume failed due to a lack of memory, data volume %s with size %s pages",2
#define FBM_NO_MORE_MEMORY_FOR_NEW_DEVICE_ID 20009
#define FBM_NO_MEMORY_FOR_VERIFICATION        SAPDBErr_MessageList::Error,20010,"Verify could not be perfomed due to a lack of memory %s",1
#define FBM_NO_MEMORY_FOR_VERIFICATION_ID 20010
#define FBM_ILLEGAL_STATE                     SAPDBErr_MessageList::Error,20011,"Verify: BlockNo %s is in an illegal state [%s,%s]",3
#define FBM_ILLEGAL_STATE_ID 20011
#define FBM_DEVICE_ALREADY_IN_USE             SAPDBErr_MessageList::Error,20012,"The new data volume cannot be assined since its data volume id is already in use",0
#define FBM_DEVICE_ALREADY_IN_USE_ID 20012
#define FBM_ERR_NO_MORE_MEMORY                SAPDBErr_MessageList::Error,20013,"Operation could not be executed, because no more memory is available",0
#define FBM_ERR_NO_MORE_MEMORY_ID 20013
#define FBM_ERR_VOLUME_COUNT_INCOMPATIBLE     SAPDBErr_MessageList::Error,20014,"FBM is still active and given volume count '%s' is not equal to current count '%s'",2
#define FBM_ERR_VOLUME_COUNT_INCOMPATIBLE_ID 20014
#define FBM_ERR_NO_MORE_MEMORY_TO_BUILD_FBM   SAPDBErr_MessageList::Error,20015,"No more memory to create FBM",0
#define FBM_ERR_NO_MORE_MEMORY_TO_BUILD_FBM_ID 20015
#define FBM_ERR_BLOCKNO_ALREADY_FREE          SAPDBErr_MessageList::Error,20016,"BlockNo: %s is already in freelist, start %s len %s",3
#define FBM_ERR_BLOCKNO_ALREADY_FREE_ID 20016
#define FBM_ERR_BLOCKNO_NOT_IN_FREELIST       SAPDBErr_MessageList::Error,20017,"BlockNo: %s is not in freelist",1
#define FBM_ERR_BLOCKNO_NOT_IN_FREELIST_ID 20017
#define FBM_ERR_NO_CLASSIC_VOLUME             SAPDBErr_MessageList::Error,20018,"Could not execute operation, because given volume id %s identifies a non classic volume",1
#define FBM_ERR_NO_CLASSIC_VOLUME_ID 20018
#define FBM_ERR_FREE_BLOCK_NOT_FREE           SAPDBErr_MessageList::Error,20019,"Found free block %s/%s not free",2
#define FBM_ERR_FREE_BLOCK_NOT_FREE_ID 20019
#define FBM_ERR_BLOCK_OUT_OF_BOUNDS           SAPDBErr_MessageList::Error,20020,"Block %s/%s is out of bounds: %s <= x <= %s",4
#define FBM_ERR_BLOCK_OUT_OF_BOUNDS_ID 20020
#define FBM_ERR_VOLNO_OUT_OF_RANGE            SAPDBErr_MessageList::Error,20021,"Given data volume id %s is out of range. Lower bound is %s and upper bound %s",3
#define FBM_ERR_VOLNO_OUT_OF_RANGE_ID 20021
#define FBM_ERR_VOLNO_NOT_REGISTERED          SAPDBErr_MessageList::Error,20022,"Given data volume id %s does not belongs to a configured data volume",1
#define FBM_ERR_VOLNO_NOT_REGISTERED_ID 20022
#define FBM_ERR_VOLUME_TOO_SMALL              SAPDBErr_MessageList::Error,20023,"Given offset %s for data volume id %s is greater than configured capacity of %s",3
#define FBM_ERR_VOLUME_TOO_SMALL_ID 20023
#define FBM_ERR_CANT_RESERVE_CLUSTER          SAPDBErr_MessageList::Error,20024,"Can't reserve %s clusters on volume with %s blocks and an unclustered block at %s",3
#define FBM_ERR_CANT_RESERVE_CLUSTER_ID 20024

#endif /* FBM_MESSAGES_HPP */
