/*!
  @file     KernelParam_Converter.hpp
  @author   TorstenS
  @ingroup  Converter
  @brief    Mapping for configuration parameter names used by the converter
  @see            

\if EMIT_LICENCE
    ========== licence begin  GPL
    Copyright (c) 2000-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

\endif
*/

#ifndef KERNELPARAM_CONVERTER_HPP
#define KERNELPARAM_CONVERTER_HPP

/// cserv name of the configuration parameter VOLUMENO_BIT_COUNT
#define KERNELPARAM_VOLUMENO_BIT_COUNT  (SAPDB_UTF8 *)"VOLUMENO_BIT_COUNT"

/// cserv name of the configuration parameter CONVERTER_REGIONS
#define KERNELPARAM_CONVERTER_REGIONS   (SAPDB_UTF8 *)"CONVERTER_REGIONS"

#endif // KERNELPARAM_CONVERTER_HPP


