/*
        ========== licence begin  GPL
        Copyright (c) 2006 SAP AG

        This program is free software; you can redistribute it and/or
        modify it under the terms of the GNU General Public License
        as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
        ========== licence end

*/

#ifndef SDBMSG_FILEDIR_H
#define SDBMSG_FILEDIR_H
/*
This header file was generated by buildmsg.pl
--- Do not edit....
*/
#ifdef __cplusplus
#ifndef MSG_LIST_HPP
#include "SAPDB/Messages/Msg_List.hpp"
#endif
#ifndef MSG_ARG_HPP
#include "SAPDB/Messages/Msg_Arg.hpp"
#endif
#ifndef MSG_SIMPLEARG_HPP
#include "SAPDB/Messages/Msg_SimpleArg.hpp"
#endif
#endif

#ifndef SDB_RELEASE_070600  /* don't merge this define - only this date: 2006-01-23 15:35:21 */
#error SDBMsg_FileDir.h was probably integrated between releases, do not integrate this header file, \
use buildmsg
#endif


#define SDBMSG_FILEDIR_COMPONENT "FileDir"
/* Begin of all message defines for component FileDir -> */
/* Begin of defines for message FILENO_NOT_FOUND: ID = 1, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_FILENO_NOT_FOUND 1, "FileDir", __FILE__, __LINE__, "FileNo $FILENO$ not found", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_FILENO_NOT_FOUND__FILENO "FILENO"
/* <- End of defines for message FILENO_NOT_FOUND */
/* Begin of defines for message FILENO_MARKED_DELETED: ID = 2, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_FILENO_MARKED_DELETED 2, "FileDir", __FILE__, __LINE__, "FileNo $FILENO$ marked for deletion", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_FILENO_MARKED_DELETED__FILENO "FILENO"
/* <- End of defines for message FILENO_MARKED_DELETED */
/* Begin of defines for message FILETYPE_MISMATCH: ID = 3, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_FILETYPE_MISMATCH 3, "FileDir", __FILE__, __LINE__, "File type mismatch for fileNo $FILENO$; expected: $NO$, retrieved: $TYPE$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_FILETYPE_MISMATCH__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_FILETYPE_MISMATCH__NO "NO"
#define SDBMSGTAG_FILEDIR_FILETYPE_MISMATCH__TYPE "TYPE"
/* <- End of defines for message FILETYPE_MISMATCH */
/* Begin of defines for message MIGRATION_STARTED: ID = 4, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_FILEDIR_MIGRATION_STARTED 4, "FileDir", __FILE__, __LINE__, "File directory migration started", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message MIGRATION_STARTED */
/* Begin of defines for message MIGRATION_OK: ID = 5, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_FILEDIR_MIGRATION_OK 5, "FileDir", __FILE__, __LINE__, "File directory migration finished successfully", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message MIGRATION_OK */
/* Begin of defines for message MIGRATION_FAILED: ID = 6, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_MIGRATION_FAILED 6, "FileDir", __FILE__, __LINE__, "File directory migration failed; error code $NO$", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATION_FAILED__NO "NO"
/* <- End of defines for message MIGRATION_FAILED */
/* Begin of defines for message RESTART: ID = 7, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_FILEDIR_RESTART 7, "FileDir", __FILE__, __LINE__, "File directory restarting", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message RESTART */
/* Begin of defines for message RESTART_OK: ID = 8, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_FILEDIR_RESTART_OK 8, "FileDir", __FILE__, __LINE__, "File directory restart completed", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message RESTART_OK */
/* Begin of defines for message RESTART_FAILED: ID = 9, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_RESTART_FAILED 9, "FileDir", __FILE__, __LINE__, "File directory restart failed; error code $NO$", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_RESTART_FAILED__NO "NO"
/* <- End of defines for message RESTART_FAILED */
/* Begin of defines for message DUPLICATE_FILENO: ID = 10, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_DUPLICATE_FILENO 10, "FileDir", __FILE__, __LINE__, "duplicate fileNo $FILENO$", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_DUPLICATE_FILENO__FILENO "FILENO"
/* <- End of defines for message DUPLICATE_FILENO */
/* Begin of defines for message ROLLBACK_ADD_FILE_FAILED: ID = 11, VERSION = 1, TAGS = 3 -> */
#define SDBMSG_FILEDIR_ROLLBACK_ADD_FILE_FAILED 11, "FileDir", __FILE__, __LINE__, "rollback of add file to file directory failed; fileNo =  $FILENO$ , file type = $FILETYPE$", (Msg_Has3Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_ROLLBACK_ADD_FILE_FAILED__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_ROLLBACK_ADD_FILE_FAILED__FILETYPE "FILETYPE"
/* <- End of defines for message ROLLBACK_ADD_FILE_FAILED */
/* Begin of defines for message CREATE_FAILED: ID = 12, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_FILEDIR_CREATE_FAILED 12, "FileDir", __FILE__, __LINE__, "Initial file directory creation failed", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message CREATE_FAILED */
/* Begin of defines for message MIGRATE_INDEX_TABLE_NOT_FOUND: ID = 13, VERSION = 1, TAGS = 5 -> */
#define SDBMSG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND 13, "FileDir", __FILE__, __LINE__, "fdir migration: error table file not found during index entry creation; indexNo $INDEX$, table fileNo $FILENO$, fileTypeSet $FILETYPESET$, root page $PAGENO$", (Msg_Has5Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND__FILETYPESET "FILETYPESET"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND__INDEX "INDEX"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND__PAGENO "PAGENO"
/* <- End of defines for message MIGRATE_INDEX_TABLE_NOT_FOUND */
/* Begin of defines for message MIGRATE_INDEX_ERROR: ID = 14, VERSION = 1, TAGS = 6 -> */
#define SDBMSG_FILEDIR_MIGRATE_INDEX_ERROR 14, "FileDir", __FILE__, __LINE__, "fdir migration: error during index entry creation; indexNo $INDEX$, table fileNo $FILENO$, fileTypeSet $FILETYPESET$, root page $PAGENO$, error no $NO$", (Msg_Has6Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_ERROR__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_ERROR__FILETYPESET "FILETYPESET"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_ERROR__INDEX "INDEX"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_ERROR__NO "NO"
#define SDBMSGTAG_FILEDIR_MIGRATE_INDEX_ERROR__PAGENO "PAGENO"
/* <- End of defines for message MIGRATE_INDEX_ERROR */
/* Begin of defines for message MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND: ID = 15, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND 15, "FileDir", __FILE__, __LINE__, "fdir migration: error table file not found during short column entry creation; table fileNo $FILENO$, fileTypeSet $FILETYPESET$, root page $PAGENO$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND__FILETYPESET "FILETYPESET"
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND__PAGENO "PAGENO"
/* <- End of defines for message MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND */
/* Begin of defines for message MIGRATE_SHORT_COLUMN_ERROR: ID = 16, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_MIGRATE_SHORT_COLUMN_ERROR 16, "FileDir", __FILE__, __LINE__, "fdir migration: error during short column entry creation; table fileNo $FILENO$, fileTypeSet $FILETYPESET$, root page $PAGENO$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_ERROR__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_ERROR__FILETYPESET "FILETYPESET"
#define SDBMSGTAG_FILEDIR_MIGRATE_SHORT_COLUMN_ERROR__PAGENO "PAGENO"
/* <- End of defines for message MIGRATE_SHORT_COLUMN_ERROR */
/* Begin of defines for message FILE_MUST_BE_DELETED: ID = 17, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_FILE_MUST_BE_DELETED 17, "FileDir", __FILE__, __LINE__, "File $FILENO$ must be marked deleted", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_FILE_MUST_BE_DELETED__FILENO "FILENO"
/* <- End of defines for message FILE_MUST_BE_DELETED */
/* Begin of defines for message SECONDARY_FILES_EXIST: ID = 18, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_FILEDIR_SECONDARY_FILES_EXIST 18, "FileDir", __FILE__, __LINE__, "Deleted file $FILENO$ has secondary files attached", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_SECONDARY_FILES_EXIST__FILENO "FILENO"
/* <- End of defines for message SECONDARY_FILES_EXIST */
/* Begin of defines for message PAGEMAN_RESTART_ADDPAGE_FAILED: ID = 19, VERSION = 2, TAGS = 3 -> */
#define SDBMSG_FILEDIR_PAGEMAN_RESTART_ADDPAGE_FAILED 19, "FileDir", __FILE__, __LINE__, "Failed to add file directory page $PAGENO$ to list of used pages; list size is $SIZE$", (Msg_Has3Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("2"))
#define SDBMSGTAG_FILEDIR_PAGEMAN_RESTART_ADDPAGE_FAILED__PAGENO "PAGENO"
#define SDBMSGTAG_FILEDIR_PAGEMAN_RESTART_ADDPAGE_FAILED__SIZE "SIZE"
/* <- End of defines for message PAGEMAN_RESTART_ADDPAGE_FAILED */
/* Begin of defines for message MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED: ID = 20, VERSION = 1, TAGS = 3 -> */
#define SDBMSG_FILEDIR_MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED 20, "FileDir", __FILE__, __LINE__, "Single index $FILENO$ of table $FILENO1$ was not migrated and is being deleted", (Msg_Has3Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED__FILENO1 "FILENO1"
/* <- End of defines for message MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED */
/* Begin of defines for message FPAGE_CORRUPTED: ID = 22, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_FPAGE_CORRUPTED 22, "FileDir", __FILE__, __LINE__, "File-Directory Page $PAGENO$ is corrupted", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_FPAGE_CORRUPTED__PAGENO "PAGENO"
#define SDBMSGTAG_FILEDIR_FPAGE_CORRUPTED__POSITION "POSITION"
#define SDBMSGTAG_FILEDIR_FPAGE_CORRUPTED__LENGTH "LENGTH"
/* <- End of defines for message FPAGE_CORRUPTED */
/* Begin of defines for message INVALID_ENTRY_SIZE: ID = 23, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_INVALID_ENTRY_SIZE 23, "FileDir", __FILE__, __LINE__, "Invalid size $SIZE$ bytes for file directory entry of type $FILETYPE$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_INVALID_ENTRY_SIZE__FILETYPE "FILETYPE"
#define SDBMSGTAG_FILEDIR_INVALID_ENTRY_SIZE__SIZE "SIZE"
#define SDBMSGTAG_FILEDIR_INVALID_ENTRY_SIZE__LENGTH "LENGTH"
/* <- End of defines for message INVALID_ENTRY_SIZE */
/* Begin of defines for message RECREATE_INVALID_FILETYPE: ID = 24, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_FILEDIR_RECREATE_INVALID_FILETYPE 24, "FileDir", __FILE__, __LINE__, "Invalid file type '$FILETYPE$' during recreation of file directory; fileId '$FILENO$'", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_FILEDIR_RECREATE_INVALID_FILETYPE__FILENO "FILENO"
#define SDBMSGTAG_FILEDIR_RECREATE_INVALID_FILETYPE__FILETYPE "FILETYPE"
#define SDBMSGTAG_FILEDIR_RECREATE_INVALID_FILETYPE__PAGENO "PAGENO"
/* <- End of defines for message RECREATE_INVALID_FILETYPE */
/* <- End of message defines for component FileDir */

/* some helpful enumerations (created by buildmsg.pl) -> */

#define SDBMSG_FILEDIR_ENUMERATION \
                    FileDir_FILENO_NOT_FOUND=1, \
                    FileDir_FILENO_MARKED_DELETED=2, \
                    FileDir_FILETYPE_MISMATCH=3, \
                    FileDir_MIGRATION_STARTED=4, \
                    FileDir_MIGRATION_OK=5, \
                    FileDir_MIGRATION_FAILED=6, \
                    FileDir_RESTART=7, \
                    FileDir_RESTART_OK=8, \
                    FileDir_RESTART_FAILED=9, \
                    FileDir_DUPLICATE_FILENO=10, \
                    FileDir_ROLLBACK_ADD_FILE_FAILED=11, \
                    FileDir_CREATE_FAILED=12, \
                    FileDir_MIGRATE_INDEX_TABLE_NOT_FOUND=13, \
                    FileDir_MIGRATE_INDEX_ERROR=14, \
                    FileDir_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND=15, \
                    FileDir_MIGRATE_SHORT_COLUMN_ERROR=16, \
                    FileDir_FILE_MUST_BE_DELETED=17, \
                    FileDir_SECONDARY_FILES_EXIST=18, \
                    FileDir_PAGEMAN_RESTART_ADDPAGE_FAILED=19, \
                    FileDir_MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED=20, \
                    FileDir_FPAGE_CORRUPTED=22, \
                    FileDir_INVALID_ENTRY_SIZE=23, \
                    FileDir_RECREATE_INVALID_FILETYPE=24
#define SDBMSG_FILEDIR_INITIALIZATIONLIST(x) \
                    x(SDBMSG_FILEDIR_FILENO_NOT_FOUND, "FILENO_NOT_FOUND"), \
                    x(SDBMSG_FILEDIR_FILENO_MARKED_DELETED, "FILENO_MARKED_DELETED"), \
                    x(SDBMSG_FILEDIR_FILETYPE_MISMATCH, "FILETYPE_MISMATCH"), \
                    x(SDBMSG_FILEDIR_MIGRATION_STARTED, "MIGRATION_STARTED"), \
                    x(SDBMSG_FILEDIR_MIGRATION_OK, "MIGRATION_OK"), \
                    x(SDBMSG_FILEDIR_MIGRATION_FAILED, "MIGRATION_FAILED"), \
                    x(SDBMSG_FILEDIR_RESTART, "RESTART"), \
                    x(SDBMSG_FILEDIR_RESTART_OK, "RESTART_OK"), \
                    x(SDBMSG_FILEDIR_RESTART_FAILED, "RESTART_FAILED"), \
                    x(SDBMSG_FILEDIR_DUPLICATE_FILENO, "DUPLICATE_FILENO"), \
                    x(SDBMSG_FILEDIR_ROLLBACK_ADD_FILE_FAILED, "ROLLBACK_ADD_FILE_FAILED"), \
                    x(SDBMSG_FILEDIR_CREATE_FAILED, "CREATE_FAILED"), \
                    x(SDBMSG_FILEDIR_MIGRATE_INDEX_TABLE_NOT_FOUND, "MIGRATE_INDEX_TABLE_NOT_FOUND"), \
                    x(SDBMSG_FILEDIR_MIGRATE_INDEX_ERROR, "MIGRATE_INDEX_ERROR"), \
                    x(SDBMSG_FILEDIR_MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND, "MIGRATE_SHORT_COLUMN_TABLE_NOT_FOUND"), \
                    x(SDBMSG_FILEDIR_MIGRATE_SHORT_COLUMN_ERROR, "MIGRATE_SHORT_COLUMN_ERROR"), \
                    x(SDBMSG_FILEDIR_FILE_MUST_BE_DELETED, "FILE_MUST_BE_DELETED"), \
                    x(SDBMSG_FILEDIR_SECONDARY_FILES_EXIST, "SECONDARY_FILES_EXIST"), \
                    x(SDBMSG_FILEDIR_PAGEMAN_RESTART_ADDPAGE_FAILED, "PAGEMAN_RESTART_ADDPAGE_FAILED"), \
                    x(SDBMSG_FILEDIR_MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED, "MIGRATE_LEFTOVER_SINGLE_INDEX_DELETED"), \
                    x(SDBMSG_FILEDIR_FPAGE_CORRUPTED, "FPAGE_CORRUPTED"), \
                    x(SDBMSG_FILEDIR_INVALID_ENTRY_SIZE, "INVALID_ENTRY_SIZE"), \
                    x(SDBMSG_FILEDIR_RECREATE_INVALID_FILETYPE, "RECREATE_INVALID_FILETYPE")
/* <- some helpful enumerations */

#endif /* SDBMSG_FILEDIR_H */
