/*
        ========== licence begin  GPL
        Copyright (c) 2005 SAP AG

        This program is free software; you can redistribute it and/or
        modify it under the terms of the GNU General Public License
        as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
        ========== licence end

*/

#ifndef SDBMSG_RUNTIME_H
#define SDBMSG_RUNTIME_H
/*
This header file was generated by buildmsg.pl
--- Do not edit....
*/
#ifdef __cplusplus
#ifndef MSG_LIST_HPP
#include "SAPDB/Messages/Msg_List.hpp"
#endif
#ifndef MSG_ARG_HPP
#include "SAPDB/Messages/Msg_Arg.hpp"
#endif
#ifndef MSG_SIMPLEARG_HPP
#include "SAPDB/Messages/Msg_SimpleArg.hpp"
#endif
#endif

#ifndef SDB_RELEASE_070600  /* don't merge this define - only this date: 2005-09-12 11:17:16 */
#error SDBMsg_RunTime.h was probably integrated between releases, do not integrate this header file, \
use buildmsg
#endif


#define SDBMSG_RUNTIME_COMPONENT "RunTime"
/* Begin of all message defines for component RunTime -> */
/* Begin of defines for message STATE_CHANGED: ID = 3, VERSION = 1, TAGS = 3 -> */
#define SDBMSG_RUNTIME_STATE_CHANGED 3, "RunTime", __FILE__, __LINE__, "State changed from $OLD_STATE$ to $STATE$", (Msg_Has3Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_RUNTIME_STATE_CHANGED__OLD_STATE "OLD_STATE"
#define SDBMSGTAG_RUNTIME_STATE_CHANGED__STATE "STATE"
/* <- End of defines for message STATE_CHANGED */
/* Begin of defines for message KERNEL_CONTEXT_NOT_INITIALIZED: ID = 4, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_RUNTIME_KERNEL_CONTEXT_NOT_INITIALIZED 4, "RunTime", __FILE__, __LINE__, "context pointer of global instance not yet initialized", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message KERNEL_CONTEXT_NOT_INITIALIZED */
/* Begin of defines for message PAM_AUTHENTICATION_FAILED: ID = 5, VERSION = 2, TAGS = 4 -> */
#define SDBMSG_RUNTIME_PAM_AUTHENTICATION_FAILED 5, "RunTime", __FILE__, __LINE__, "PAM authentication failed: $ERRORTEXT$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("2"))
#define SDBMSGTAG_RUNTIME_PAM_AUTHENTICATION_FAILED__DESCRIPTION "DESCRIPTION"
#define SDBMSGTAG_RUNTIME_PAM_AUTHENTICATION_FAILED__ERRORTEXT "ERRORTEXT"
#define SDBMSGTAG_RUNTIME_PAM_AUTHENTICATION_FAILED__USERID "USERID"
/* <- End of defines for message PAM_AUTHENTICATION_FAILED */
/* Begin of defines for message PAM_START_FAILURE: ID = 6, VERSION = 1, TAGS = 4 -> */
#define SDBMSG_RUNTIME_PAM_START_FAILURE 6, "RunTime", __FILE__, __LINE__, "PAM start call failed: $ERRORTEXT$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_RUNTIME_PAM_START_FAILURE__DESCRIPTION "DESCRIPTION"
#define SDBMSGTAG_RUNTIME_PAM_START_FAILURE__ERRORTEXT "ERRORTEXT"
#define SDBMSGTAG_RUNTIME_PAM_START_FAILURE__USERID "USERID"
/* <- End of defines for message PAM_START_FAILURE */
/* Begin of defines for message PAM_ACCOUNT_MANAGEMENT: ID = 7, VERSION = 2, TAGS = 4 -> */
#define SDBMSG_RUNTIME_PAM_ACCOUNT_MANAGEMENT 7, "RunTime", __FILE__, __LINE__, "PAM account management report : $ERRORTEXT$", (Msg_Has4Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("2"))
#define SDBMSGTAG_RUNTIME_PAM_ACCOUNT_MANAGEMENT__DESCRIPTION "DESCRIPTION"
#define SDBMSGTAG_RUNTIME_PAM_ACCOUNT_MANAGEMENT__ERRORTEXT "ERRORTEXT"
#define SDBMSGTAG_RUNTIME_PAM_ACCOUNT_MANAGEMENT__USERID "USERID"
/* <- End of defines for message PAM_ACCOUNT_MANAGEMENT */
/* Begin of defines for message PAM_AVAILIBILITIY_CHECK: ID = 8, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_RUNTIME_PAM_AVAILIBILITIY_CHECK 8, "RunTime", __FILE__, __LINE__, "PAM module not available", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_RUNTIME_PAM_AVAILIBILITIY_CHECK__USERID "USERID"
/* <- End of defines for message PAM_AVAILIBILITIY_CHECK */
/* <- End of message defines for component RunTime */

/* some helpful enumerations (created by buildmsg.pl) -> */

#define SDBMSG_RUNTIME_ENUMERATION \
                    RunTime_STATE_CHANGED=3, \
                    RunTime_KERNEL_CONTEXT_NOT_INITIALIZED=4, \
                    RunTime_PAM_AUTHENTICATION_FAILED=5, \
                    RunTime_PAM_START_FAILURE=6, \
                    RunTime_PAM_ACCOUNT_MANAGEMENT=7, \
                    RunTime_PAM_AVAILIBILITIY_CHECK=8
#define SDBMSG_RUNTIME_INITIALIZATIONLIST(x) \
                    x(SDBMSG_RUNTIME_STATE_CHANGED, "STATE_CHANGED"), \
                    x(SDBMSG_RUNTIME_KERNEL_CONTEXT_NOT_INITIALIZED, "KERNEL_CONTEXT_NOT_INITIALIZED"), \
                    x(SDBMSG_RUNTIME_PAM_AUTHENTICATION_FAILED, "PAM_AUTHENTICATION_FAILED"), \
                    x(SDBMSG_RUNTIME_PAM_START_FAILURE, "PAM_START_FAILURE"), \
                    x(SDBMSG_RUNTIME_PAM_ACCOUNT_MANAGEMENT, "PAM_ACCOUNT_MANAGEMENT"), \
                    x(SDBMSG_RUNTIME_PAM_AVAILIBILITIY_CHECK, "PAM_AVAILIBILITIY_CHECK")
/* <- some helpful enumerations */

#endif /* SDBMSG_RUNTIME_H */
