/*
        ========== licence begin  GPL
        Copyright (c) 2005 SAP AG

        This program is free software; you can redistribute it and/or
        modify it under the terms of the GNU General Public License
        as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
        ========== licence end

*/

#ifndef SDBMSG_SAVEPOINT_H
#define SDBMSG_SAVEPOINT_H
/*
This header file was generated by buildmsg.pl
--- Do not edit....
*/
#ifdef __cplusplus
#ifndef MSG_LIST_HPP
#include "SAPDB/Messages/Msg_List.hpp"
#endif
#ifndef MSG_ARG_HPP
#include "SAPDB/Messages/Msg_Arg.hpp"
#endif
#ifndef MSG_SIMPLEARG_HPP
#include "SAPDB/Messages/Msg_SimpleArg.hpp"
#endif
#endif

#ifndef SDB_RELEASE_070600  /* don't merge this define - only this date: 2005-02-21 15:48:22 */
#error __FILE__ was probably integrated between releases, do not integrate this header file, \
use buildmsg
#endif


#define SDBMSG_SAVEPOINT_COMPONENT "Savepoint"
/* Begin of all message defines for component Savepoint -> */
/* Begin of defines for message REASON_INFO: ID = 1, VERSION = 1, TAGS = 3 -> */
#define SDBMSG_SAVEPOINT_REASON_INFO 1, "Savepoint", __FILE__, __LINE__, "Savepoint ($REASON$) started by T$TASK_ID$", (Msg_Has3Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_SAVEPOINT_REASON_INFO__REASON "REASON"
#define SDBMSGTAG_SAVEPOINT_REASON_INFO__TASK_ID "TASK_ID"
/* <- End of defines for message REASON_INFO */
/* Begin of defines for message NOT_ALLOWED: ID = 2, VERSION = 1, TAGS = 2 -> */
#define SDBMSG_SAVEPOINT_NOT_ALLOWED 2, "Savepoint", __FILE__, __LINE__, "Savepoint writing is currently not allowed. The reason is $REASON$.", (Msg_Has2Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_SAVEPOINT_NOT_ALLOWED__REASON "REASON"
/* <- End of defines for message NOT_ALLOWED */
/* Begin of defines for message DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST: ID = 3, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_SAVEPOINT_DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST 3, "Savepoint", __FILE__, __LINE__, "The Savepoint ist not allowed because the log is full and the backup history is lost.", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST */
/* Begin of defines for message SECOND_DBM_REASON: ID = 4, VERSION = 1, TAGS = 5 -> */
#define SDBMSG_SAVEPOINT_SECOND_DBM_REASON 4, "Savepoint", __FILE__, __LINE__, "A second dbm command wants to trigger a savepoint. OldT$OLD_TASK_ID$ ($OLD_REASON$) NewT$TASK_ID$ ($REASON$)", (Msg_Has5Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
#define SDBMSGTAG_SAVEPOINT_SECOND_DBM_REASON__OLD_REASON "OLD_REASON"
#define SDBMSGTAG_SAVEPOINT_SECOND_DBM_REASON__OLD_TASK_ID "OLD_TASK_ID"
#define SDBMSGTAG_SAVEPOINT_SECOND_DBM_REASON__REASON "REASON"
#define SDBMSGTAG_SAVEPOINT_SECOND_DBM_REASON__TASK_ID "TASK_ID"
/* <- End of defines for message SECOND_DBM_REASON */
/* Begin of defines for message START_FAILED: ID = 5, VERSION = 1, TAGS = 1 -> */
#define SDBMSG_SAVEPOINT_START_FAILED 5, "Savepoint", __FILE__, __LINE__, "The savepoint coordinator could not be started.", (Msg_Has1Args*)0, Msg_SimpleArg("_MESSAGEVERSION", reinterpret_cast<const SAPDB_UTF8*>("1"))
/* <- End of defines for message START_FAILED */
/* <- End of message defines for component Savepoint */

/* some helpful enumerations (created by buildmsg.pl) -> */

#define SDBMSG_SAVEPOINT_ENUMERATION \
                    Savepoint_REASON_INFO=1, \
                    Savepoint_NOT_ALLOWED=2, \
                    Savepoint_DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST=3, \
                    Savepoint_SECOND_DBM_REASON=4, \
                    Savepoint_START_FAILED=5
#define SDBMSG_SAVEPOINT_INITIALIZATIONLIST(x) \
                    x(SDBMSG_SAVEPOINT_REASON_INFO, "REASON_INFO"), \
                    x(SDBMSG_SAVEPOINT_NOT_ALLOWED, "NOT_ALLOWED"), \
                    x(SDBMSG_SAVEPOINT_DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST, "DENIED_BECAUSE_LOG_FULL_AND_HISTORY_LOST"), \
                    x(SDBMSG_SAVEPOINT_SECOND_DBM_REASON, "SECOND_DBM_REASON"), \
                    x(SDBMSG_SAVEPOINT_START_FAILED, "START_FAILED")
/* <- some helpful enumerations */

#endif /* SDBMSG_SAVEPOINT_H */
