/*!***************************************************************************

  @file    SAPDB_Types.hpp
  @author  JoergM
  @ingroup Common
  @brief   Contains base type definitions

  The declarations were move to SAPDB_Types.h
  to allow inclusion by C sources  [DD 16.03.2000]

  This explicitly DO NOT MEAN that base of all implementation is the obselete language called C!

  last changed: 2005-08-25  15:07
  see also    :

  -------------------------------------------------------------------------

\if EMIT_LICENCE
    ========== licence begin  GPL
    Copyright (c) 2000-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

\endif

*****************************************************************************/

#ifndef SAPDB_TYPES_HPP
#define SAPDB_TYPES_HPP

/* Include special defines dependent on DB version and compile mode. */
#include "SAPDBCommon/SAPDB_Config.hpp"

/*
 * The declarations were move to SAPDB_Types.h
 * to allow inclusion by C sources  [DD 16.03.2000]
 * This explicitly DONE NOT MEAN that base of all implementation is the obselete language called C!
 */
/*! @copydoc SAPDB_Types.h */
#include "SAPDBCommon/SAPDB_Types.h"

#endif /* SAPDB_TYPES_HPP */
