/*!******************************************************************************

  @file         hgg03.h

  ------------------------------------------------------------------------------

  @author       ElkeZ

  @brief        Check-Date-Time

\if EMIT_LICENCE

    ========== licence begin  GPL
    Copyright (c) 2000-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

\endif

********************************************************************************/

#ifndef HGG03_H
#define HGG03_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\xdc\x78\xd2\xac\x13\x79\x51\x0b\xe8\xa5\x53\xfd\xc7\xa9\x4b\xb4'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "vsp006.h"
#include "ggg04.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg04_ShortDaynames g03short_daynames;
externPascal tsp6_dictionaries g03dictionary;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03daynames_init (
    void                  *  buf,
    integer                              i,
    pasbool               VAR_VALUE_REF  is_ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03fdcheck_date (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03fdc_date (
    tsp00_MoveObjPtr                     sptr,
    tsp00_MoveObjPtr                     dptr,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03ftcheck_time (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03ftc_time (
    tsp00_MoveObjPtr                     sptr,
    tsp00_MoveObjPtr                     dptr,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03ftscheck_timestamp (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tsp00_C3              VAR_ARRAY_REF  language,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03ftsc_timestamp (
    tsp00_MoveObjPtr                     sptr,
    tsp00_MoveObjPtr                     dptr,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    integer                              actlen,
    tgg00_DateTimeFormat_Param                 format,
    tsp00_C3              VAR_ARRAY_REF  language,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03dchange_format_date (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03tchange_format_time (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03tschange_format_timestamp (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tsp00_C3              VAR_ARRAY_REF  language,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03dfchange_format_date (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03tfchange_format_time (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03tsfchange_format_timestamp (
    void                  *  sbuf,
    void                  *  dbuf,
    tsp00_Int4                           spos,
    tsp00_Int4                           dpos,
    tgg00_DateTimeFormat_Param                 format,
    tsp00_C3              VAR_ARRAY_REF  language,
    tgg00_BasisError      VAR_VALUE_REF  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03part2_decrypt (
    void                  *  part_buf,
    tsp00_CodeType                       mess_code,
    tsp00_Int4                           pos,
    tsp00_SwapKind_Param                 sourceswap,
    tsp00_SwapKind_Param                 destswap,
    tsp00_Name            VAR_ARRAY_REF  clearname);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g03monthnames_init (
    void                  *  buf,
    integer                              i,
    pasbool               VAR_VALUE_REF  is_ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tgg00_BasisError g03date_error_to_b_err (
    tsp6_date_error_Param                 date_e);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

