/*!******************************************************************************

  @file         hkb74.h

  ------------------------------------------------------------------------------

  @author       ElkeZ

  @brief        KB_Join_Select

\if EMIT_LICENCE

    ========== licence begin  GPL
    Copyright (c) 2000-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

\endif

********************************************************************************/

#ifndef HKB74_H
#define HKB74_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x0c\x1d\x71\xbc\x47\x2d\x40\x78\x44\x25\xde\xec\xe6\x04\x54\x60'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "ggg07.h"
#include "gkb07.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k74_join_select (
    tgg00_MessBlock       VAR_VALUE_REF  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74finish_catalog_join (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec,
    tgg07_select_context  VAR_VALUE_REF  selrec,
    tsp00_Int4                           strat_maxresult,
    pasbool                              last_join_tab);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74rowno_position (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec,
    tgg07_select_param    VAR_VALUE_REF  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74start_catalog_join (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec,
    tgg07_select_context  VAR_VALUE_REF  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74get_new_positions (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74get_join_infos (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74finish_l_outer_join (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec,
    tgg07_select_param    VAR_VALUE_REF  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74join_with_left_result (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tgg07_get_param       VAR_VALUE_REF  getrec,
    tgg00_SelectFieldsParam  VAR_VALUE_REF  sel,
    tgg07_select_param    VAR_VALUE_REF  selrec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74get_last_field_pos (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tsp00_Int2            VAR_VALUE_REF  last_field_pos,
    tsp00_Int2                           jpath_cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k74check_inv_conversions (
    tgg00_MessBlock       VAR_VALUE_REF  m,
    tkb07_conv_arr        VAR_ARRAY_REF  conv_st_pos,
    tsp00_Int4            VAR_VALUE_REF  conv_cnt,
    tsp00_Int2            VAR_VALUE_REF  last_field_pos,
    pasbool               VAR_VALUE_REF  last_desc_field,
    tsp00_Int2                           jpath_cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

